Does Plesk Onyx support Apache Tomcat?

Follow

Comments

20 comments

  • Avatar
    Emre Beşirik

    There should have at least one way of supporting Java hosting. if you drop support for tomcat, bring support for wildfly or similar!

  • Avatar
    Ivan Postnikov

    Hello @Emre, 

    Thank you for the feedback. 

    Despite there is no Plesk Support, you may install Tomcat or similar software manually on the server using the official instructions.

  • Avatar
    Emre Beşirik

    But not on 443 or 80 ports! 😡

  • Avatar
    Ivan Postnikov

    @Emre, yes, you are correct such configuration is not supported. 

    Plesk Development Team monitors the demand and if it will be significant, we will consider a possibility of supporting Tomcat in some way in future Plesk Updates.

    The list of deprecated functionality in 17.8 may be found here:
    https://support.plesk.com/hc/en-us/articles/115005115774-Deprecated-functionality-in-Plesk-Onyx-17-8

  • Avatar
    Vyshak

    We have a Plesk Onyx 17.8, with windows server 2012. How to make java run on the server. Please help.

  • Avatar
    Ivan Postnikov

    Hello @Vyshak,

    Please note that despite Tomcat is not supported by Plesk, to run Java you may install it manually using the official instructions.

  • Avatar
    Vyshak

    Thank you Ivan.

  • Avatar
    Mohammad Azharuddin Azharuddin

    i want shared tomcat back on plesk onyx ,is it happening. 

  • Avatar
    Ivan Postnikov

    Hello @Mohammad!

    Plesk Development Team monitors the demand and if it will be significant, we will consider a possibility of supporting Tomcat in some way in future Plesk Updates.

    Please, note that Plesk 17.5 and below still support Tomcat.

  • Avatar
    Emre Beşirik

    Tomcat has its downsides and I'm saying that it does not have to be tomcat but maybe wildfly or at least some app server that we can serve on standard HTTP(s) ports, please!

    this action cuts down a lot of Java developers...

  • Avatar
    Mohd Azhar (Edited )

    Wil Plesk 17.5 and below continue to support tomcat forever

  • Avatar
    Mohd Azhar

    Wil Plesk 17.5 and below continue to support shared tomcat forever

  • Avatar
    Ivan Postnikov

    Hello @Mohd, yes, as long as 17.5 will be available, Tomcat will be available for the installation too.

  • Avatar
    Ivan Postnikov

    Hi @Emre, I have created a feature request, feel free to vote for it. Popular feature suggestion will be implemented in the future.

  • Avatar
    Mohammad Azharuddin Azharuddin

    if java is the best language for websites, then why u stop tomcat plesk onyx

    i mean there are way to handle load on tomcat, which prevent load on servers

    like putting images at some other place.

     

    bank website like 70% are written in java

    all big clients choose jsp as their primay language because its fast secure and portable

    but when it comes to low bugdet clients java needs to be tune , jvm needs to be tune , tomcat need to be tune

    all i want to say if configure jvm and tomcat proper and good , it will not put load on ur server.

    i want tomcat shared hosting back.

  • Avatar
    Ivan Postnikov

    Hello @Mohammad,

    Thank you for the feedback and for sharing the information.
    Consider voting for this feature request, currently, it is under the discussion.

  • Avatar
    Mohammad Azharuddin Azharuddin (Edited )

    how about getting this to plesk

    https://github.com/NanoHttpd/nanohttpd

     

    a lightweight tiny webserver in java .

  • Avatar
    Ivan Postnikov (Edited )

    Hello @Mohammad,

    Thank you for sharing.

    Plesk uses Apache+Nginx as HTTP server and currently, there are no plans to implement another one. 

    However, could you, please, share more details how do you want this to be implemented in Plesk?

  • Avatar
    Mohammad Azharuddin Azharuddin (Edited )

    u just need to run

    public static main method ()

    { super(8080);

    }

    class on plesk jvm

    and point domain to localhost://8080 on computer where the main program is running .

    so no need of tomcat, only jvm is needed with certain jar files.

  • Avatar
    Ivan Postnikov

    Hello @Mohammad, 

    Please, add the detailed information about this suggestion in the feature request.

    It is regularly checked by Plesk Developers.

Please sign in to leave a comment.

Have more questions? Submit a request